Update individual fields of a training event

View as Markdown

Update specific fields of the training event. Only event_time, name, sim_start_time, and sim_end_time can be updated. The parent/template simulation, and checkpoint cannot be modified after creation.

Required roles (all): air_instructor, air_org_admin

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

idstringRequiredformat: "uuid"
A UUID string identifying this training.

Request

This endpoint expects an object.
display_namestringOptional1-128 characters

The display name of the training event. This is a more human-readable display name for the training which does not need to match the name of the NGC external user group.

event_timedatetimeOptional

The time at which the training event will occur. This value must be at least 5h in the future. sim_end_time must be at least 24h after this value. sim_start_time must be at least 4h before this value.

sim_start_timedatetimeOptional

This is the time at which simulation workbenches will be created for all attendees and the instructor of the training; these simulations will be started at this time given there is sufficient capacity. If updated, this value must be at least 1h in the future and 4h before event_time

sim_end_timedatetimeOptional

This is the time at which simulation workbenches will expire for all attendees and the instructor of the training; the simulations will be destroyed at this time. This value must be at least 24h after event_time

Response

idstringRead-onlyformat: "uuid"
createddatetimeRead-only
modifieddatetimeRead-only
creatorstringRead-only
The email of the client that created the training.
orgstringformat: "uuid"
The organization associated with this training
training_simulationstringformat: "uuid"
The template simulation used to create new simulations for the attendees of the training.
training_simulation_namestringRead-only
The name of the training simulation.
training_simulation_statestringRead-only
The state of the training simulation.
checkpoint_namestring or nullRead-only
The name of the checkpoint used to create the training simulation.
parent_simulation_namestring or nullRead-only
The name of the parent simulation that was cloned to create the training simulation. This value is captured at clone time and does not change if the original simulation is later renamed.
event_timedatetime
When the training event will occur.
namestring<=255 characters

The name of the training event. This will also be the name of the NGC external user group, and thus must be kebab-case.

display_namestringRead-only<=128 characters

The display name of the training event. This is a more human-readable display name for the training which does not need to match the name of the NGC external user group.

ngc_group_idstring<=255 characters
The NGC external user group ID associated with this training.
attendee_detailslist of objectsRead-only
Onboarding and access details for each attendee.
sim_start_timedatetime
When Air should start all attendee simulations for the training.
sim_end_timedatetime
When Air should stop and destroy all attendee simulations of the training.
attendeesanyOptional
List of validated attendee email addresses
workbenches_createdbooleanOptional
Whether the workbenches have been created for this training.

Errors

400
Bad Request Error
403
Forbidden Error
404
Not Found Error
500
Internal Server Error